oggz-merge(1)

NAME
oggz-merge — Merge Ogg files together, interleaving pages in order of presentation time.

SYNOPSIS

oggz-merge [-o filename | --output filename ] filename ...

oggz-merge [-h | --help ] [-v | --version ]

Description

oggz-merge merges Ogg files together, interleaving pages in order of presentation time. It correctly interprets the granulepos timestamps of Ogg CELT, CMML, Dirac, FLAC, Kate, PCM, Speex, Theora and Vorbis bitstreams. Run oggz-known-codecs(1) for a full list of codecs known by the installed version of oggz.

For example, if you have an Ogg Theora video file, and its soundtrack stored separately as an Ogg Speex audio file, and you can use oggz-merge to create a single Ogg file containing the video and audio, interleaved together in parallel.

Similarly, using oggz-merge on a collection of Ogg Vorbis audio files will create a big Ogg file with all the songs in parallel, ie. interleaved for simultaneous playback. Such a file is proper Ogg, but not "Ogg Vorbis I" -- the Ogg Vorbis I specification defines an Ogg Vorbis file as an Ogg file containing only one Vorbis track at a time (ie. no parallel multiplexing). Many music players (which use libvorbisfile) aren't designed to play multitrack Ogg files. In general however, video players, and anything built on a multimedia framework (like GStreamer, DirectShow etc.) will probably be able to handle such files.

If you want to create a file containing some Ogg files sequenced one after another, then you should simply concatenate them together using cat. In Ogg this is called "chaining". If you cat Ogg Vorbis I audio files together, then the result will also be a compliant Ogg Vorbis file.

Options

oggz-merge accepts the following options:

  Miscellaneous options

-o filename, --output filename
    Write output to the specified filename instead of printing it to standard output.

-h, --help
    Display usage information and exit.

-v, --version
    Output version information and exit.

EXAMPLES

Merge pages of audio.oga and video.ogv:

    oggz merge -o output.ogv audio.oga video.ogv

AUTHOR

Conrad Parker September 21, 2004;

COPYRIGHT

Copyright © 2004 CSIRO Australia

SEE ALSO

cat(1), oggz-rip(1), oggz-dump(1), oggz-diff(1), hogg(1)